import java.awt.Point;
import java.util.LinkedList;
import java.util.Queue;

public class Class532 {

   static Class510_Sub2 aClass510_Sub2_7217 = new Class510_Sub2();
   static int anInt7218 = 0;
   static boolean aBool7219 = true;
   static Queue aQueue7220 = new LinkedList();
   static Class510_Sub1 aClass510_Sub1_7221 = new Class510_Sub1();
   static long aLong7222 = 1026127147123521127L;
   public static Class253 aClass253_7223;


   public static void method11197() {
      Class110.method2207(1468942068);
      aClass510_Sub2_7217.method10817('\u8000');
      aClass510_Sub1_7221.method10817('\u8000');
      Class225_Sub15 var0;
      int var1;
      if(client.anInt7681 * 1876024789 > 0) {
         var0 = Class543.method11415(OutgoingOpcode.aClass302_3843, client.aClass180_7704.aClass433_2184, (byte)1);
         var0.buffer.writeShort(-1085835436 * client.anInt7681, 111044162);

         for(var1 = 0; var1 < 1876024789 * client.anInt7681; ++var1) {
            Interface56 var2 = client.anInterface56Array7682[var1];
            long var3 = var2.method292(-1638407006) - -5099631261453911383L * aLong7222;
            if(var3 > 16777215L) {
               var3 = 16777215L;
            }

            aLong7222 = var2.method292(1199626750) * -1026127147123521127L;
            var0.buffer.writeByte(var2.method87(1117978859), -765864773);
            var0.buffer.method13705((int)var3, 817639848);
         }

         client.aClass180_7704.method3191(var0, (byte)73);
      }

      if(anInt7218 * 883906689 > 0) {
         anInt7218 -= 382265217;
      }

      if(client.aBool7928 && anInt7218 * 883906689 <= 0) {
         anInt7218 = -944630252;
         client.aBool7928 = false;
         var0 = Class543.method11415(OutgoingOpcode.aClass302_3841, client.aClass180_7704.aClass433_2184, (byte)1);
         var0.buffer.writeShortA((int)client.aFloat7750 >> 3, -594177384);
         var0.buffer.writeLEShortA((int)client.aFloat7749 >> 3, (byte)1);
         client.aClass180_7704.method3191(var0, (byte)-39);
      }

      if(Class541.aBool7320 != aBool7219) {
         aBool7219 = Class541.aBool7320;
         var0 = Class543.method11415(OutgoingOpcode.aClass302_3858, client.aClass180_7704.aClass433_2184, (byte)1);
         var0.buffer.writeByte(Class541.aBool7320?1:0, -765864773);
         client.aClass180_7704.method3191(var0, (byte)58);
      }

      if(!client.aBool7758) {
         var0 = Class543.method11415(OutgoingOpcode.aClass302_3799, client.aClass180_7704.aClass433_2184, (byte)1);
         var0.buffer.writeByte(0, -765864773);
         var1 = var0.buffer.position * -543666943;
         RS2Buffer var5 = Class500.aClass225_Sub6_5953.method13500(-1261587879);
         var0.buffer.method13714(var5.buffer, 0, -543666943 * var5.position, -820510831);
         var0.buffer.method13717(-543666943 * var0.buffer.position - var1, -1281278168);
         client.aClass180_7704.method3191(var0, (byte)-36);
         client.aBool7758 = true;
      }

   }

   Class532() throws Throwable {
      throw new Error();
   }

   public static void method11198() {
      if(Class358.method6427(1872948962)) {
         Class407.method6954(new Class523(), -610219082);
      }

   }

   public static void method11199() {
      Class365.method6502(1034736853);
   }

   public static void method11200() {
      Class365.method6502(74101183);
   }

   public static void method11201() {
      aClass510_Sub2_7217.method10811(1524799113);
      aClass510_Sub1_7221.method10811(934578972);
      aLong7222 = 1026127147123521127L;
      aBool7219 = true;
   }

   public static void method11202(Class225_Sub8 var0) {
      if(!Class118_Sub6.method13180(client.anInt7734 * 1881519639, 231535812)) {
         var0.method13538(-754777131);
      } else {
         aClass510_Sub2_7217.method10822(var0, 1873264863);
      }
   }

   static void method11203() {
      Queue var0 = aQueue7220;
      synchronized(var0) {
         Point var1;
         if(Class572.aCanvas7591.isShowing()) {
            var1 = Class572.aCanvas7591.getLocationOnScreen();
         } else {
            var1 = null;
         }

         while(true) {
            Class225_Sub8_Sub2 var2 = (Class225_Sub8_Sub2)aQueue7220.poll();
            if(var2 == null) {
               return;
            }

            if(var1 != null && Class572.aCanvas7591.isShowing() && Class541.aBool7320) {
               var2.method16108(var1, 1341319704);
               if(!var2.method16107((short)10223) && var2.method13534(-937710807) < 759890095 * Class563.anInt7495 && var2.method13541((byte)0) < Class440.anInt5458 * 1404657485 && var2.method13534(-937710807) >= 0 && var2.method13541((byte)0) >= 0) {
                  int var3 = var2.method13533(-1185733429);
                  if(var2.method13533(256626594) == -1) {
                     aClass510_Sub1_7221.method10822(var2, 1873264863);
                  } else if(Class461.method7783(var3, (byte)-44)) {
                     aClass510_Sub1_7221.method13490(var2, -1099781422);
                  }
               }
            } else {
               var2.method13538(-2102700100);
            }
         }
      }
   }

   static void method11204() {
      Queue var0 = aQueue7220;
      synchronized(var0) {
         Point var1;
         if(Class572.aCanvas7591.isShowing()) {
            var1 = Class572.aCanvas7591.getLocationOnScreen();
         } else {
            var1 = null;
         }

         while(true) {
            Class225_Sub8_Sub2 var2 = (Class225_Sub8_Sub2)aQueue7220.poll();
            if(var2 == null) {
               return;
            }

            if(var1 != null && Class572.aCanvas7591.isShowing() && Class541.aBool7320) {
               var2.method16108(var1, 1891970828);
               if(!var2.method16107((short)30308) && var2.method13534(-937710807) < 759890095 * Class563.anInt7495 && var2.method13541((byte)0) < Class440.anInt5458 * 1404657485 && var2.method13534(-937710807) >= 0 && var2.method13541((byte)0) >= 0) {
                  int var3 = var2.method13533(-2008408894);
                  if(var2.method13533(-1459890277) == -1) {
                     aClass510_Sub1_7221.method10822(var2, 1873264863);
                  } else if(Class461.method7783(var3, (byte)-77)) {
                     aClass510_Sub1_7221.method13490(var2, -1387954777);
                  }
               }
            } else {
               var2.method13538(-625687828);
            }
         }
      }
   }

   public static void method11205() {
      Queue var0 = aQueue7220;
      synchronized(var0) {
         while(true) {
            Class225_Sub8_Sub2 var1 = (Class225_Sub8_Sub2)aQueue7220.poll();
            if(null == var1) {
               return;
            }

            var1.method13538(-528637674);
         }
      }
   }

   public static void method11206() {
      Queue var0 = aQueue7220;
      synchronized(var0) {
         while(true) {
            Class225_Sub8_Sub2 var1 = (Class225_Sub8_Sub2)aQueue7220.poll();
            if(null == var1) {
               return;
            }

            var1.method13538(-106475215);
         }
      }
   }

   public static void method11207() {
      Queue var0 = aQueue7220;
      synchronized(var0) {
         while(true) {
            Class225_Sub8_Sub2 var1 = (Class225_Sub8_Sub2)aQueue7220.poll();
            if(null == var1) {
               return;
            }

            var1.method13538(-660461728);
         }
      }
   }

   public static void method11208() {
      Queue var0 = aQueue7220;
      synchronized(var0) {
         while(true) {
            Class225_Sub8_Sub2 var1 = (Class225_Sub8_Sub2)aQueue7220.poll();
            if(null == var1) {
               return;
            }

            var1.method13538(-395920014);
         }
      }
   }

   public static void method11209() {
      if(Class358.method6427(1872948962)) {
         Class407.method6954(new Class523(), -1131930315);
      }

   }

   static final void method11210(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -1715127702);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 1656112449 * var3.anInt1393;
   }

   static final void method11211(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1215174749);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class332.method6156(var3, var4, var0, (byte)-22);
   }
}
